Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodevalue03 Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodevalue03 (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

An entity reference is created, setNodeValue is called with a non-null argument, but getNodeValue should still return null.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-11C98490

Definition at line 40 of file nodevalue03.java.

## Constructor & Destructor Documentation

nodevalue03::nodevalue03 | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 42 of file nodevalue03.java.
    00043  {
    00044       super(factory);
    00045
    00046    }

## Member Function Documentation

String nodevalue03::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file nodevalue03.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodevalue03";
    00063    }

void nodevalue03::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file nodevalue03.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(nodevalue03.class,args);
    00066    }

void nodevalue03::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 48 of file nodevalue03.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00048                                                     {
    00049       Document doc;
    00050       Node newNode;
    00051       String newValue;
    00052       doc = load("staff");
    00053       newNode = doc.createEntityReference("ent1");
    00054       newValue = newNode.getNodeValue();
    00055       assertNull("initiallyNull",newValue);
    00056       newNode.setNodeValue("This should have no effect");
    00057       newValue = newNode.getNodeValue();
    00058       assertNull("nullAfterAttemptedChange",newValue);
    00059
    00060    }

The documentation for this class was generated from the following file:

- nodevalue03.java